# Import socket from python
import socket

# Host is console's IP
host ="192.168.0.128"
# Port must be 49280
port =49280

# Socket as variable (For ease of use)
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)


# Open socket to connect to console
s.connect((host,port))

# The following actions will be completed together

# turn channel 1 off
s.sendall("set MIXER:Current/InCh/Fader/On 0 0 0\n".encode())

# turn channel 2 off
s.sendall("set MIXER:Current/InCh/Fader/On 1 0 0\n".encode())

# set channel 3 fader to 0
s.sendall("set MIXER:Current/InCh/Fader/Level 2 0 0\n".encode())

# set channel 4 fader to 0
s.sendall("set MIXER:Current/InCh/Fader/Level 3 0 0\n".encode())

# set channel 5 fader to +5
s.sendall("set MIXER:Current/InCh/Fader/Level 4 0 500\n".encode())

# set channel 6 fader to -10
s.sendall("set MIXER:Current/InCh/Fader/Level 5 0 -1000\n".encode())

# receive a message before closing socket
s.recv(1500)

# ALWAYS close socket at end of script
s.close ()
